<?PHP

/*-----------------------------------------------------------------------------------*/
/*	Bootstrapn' Time!
/*-----------------------------------------------------------------------------------*/

function sharelocker_init(){
	
	// Load Lang
	//load_plugin_textdomain( 'sharelocker', false, TCAUTOLIKE_RELPATH . '/locale/' );
		
	// Make sure we are not in the admin section
	if (!is_admin()) {
		
		// Load jQuery First
		wp_enqueue_script('jquery');
								
		// Only include Facebook if enabled
		if( get_option('sharelocker-facebook-enabled') == 'true' ){
						
			wp_deregister_script('facebook');
			wp_register_script('facebook', 'http://connect.facebook.net/en_US/all.js#xfbml=1'. false, '1.0', false);
			wp_enqueue_script('facebook');
			
		}
		
		// Only include Twitter if Enabled
		if( get_option('sharelocker-twitter-tweet-enabled') == 'true' || get_option('sharelocker-twitter-enabled') == 'true' ){
						
			wp_deregister_script('twitter');
			wp_register_script('twitter', 'http://platform.twitter.com/widgets.js'. false, '1.0', false);
			wp_enqueue_script('twitter');
			// Load twyt
			wp_deregister_script('twyt');
			wp_register_script('twyt', SHARELOCKER_LOCATION.'/inc/twyt.js', false, '1.0', false);
			wp_enqueue_script('twyt');
			
		}

		// Only include Google if Enabled
		if( get_option('sharelocker-google-enabled') == 'true'){
						
			wp_deregister_script('googleplus');
			wp_register_script('googleplus', 'https://apis.google.com/js/plusone.js'. false, '1.0', false);
			wp_enqueue_script('googleplus');
			
		}

		// Only include LinkedIn if Enabled
		if( get_option('sharelocker-linkedin-enabled') == 'true'){
						
			wp_deregister_script('linkedin');
			wp_register_script('linkedin', 'https://platform.linkedin.com/in.js'. false, '1.0', false);
			wp_enqueue_script('linkedin');
			
		}
				
		// Flush, register, enque Traficc Pop CSS
		wp_deregister_style('wpslCSS');
		wp_register_style('wpslCSS', SHARELOCKER_LOCATION.'/css/wpsl.css');
		wp_enqueue_style('wpslCSS');
				
	}
	
	sharelocker_mce();
				
} // End jsloader function





/*-----------------------------------------------------------------------------------*/
/*	Add tinyMCE Button
/*-----------------------------------------------------------------------------------*/
function sharelocker_mce(){
	
	// Don't bother doing this stuff if the current user lacks permissions
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
	return;
	
	// Add only in Rich Editor mode
	if( get_user_option('rich_editing') == 'true'){
		
		// Add cutom button to TinyMCE
		add_filter('mce_external_plugins', "sharelocker_mce_register");
		add_filter('mce_buttons', 'sharelocker_add_button', 0);
		
	}
	
}
function sharelocker_add_button($buttons) {
   array_push($buttons, "separator", "sharelockerplugin");
   return $buttons;
}
function sharelocker_mce_register($plugin_array) {
   $plugin_array['sharelockerplugin'] = SHARELOCKER_LOCATION."/inc/mce.js";
   return $plugin_array;
} // end tinyMCE





/*-----------------------------------------------------------------------------------*/
/*	Current Page Function
/*-----------------------------------------------------------------------------------*/

function sharelocker_current_page($type = 1){

	if($type == 1){
		
		$pageURL = 'http';
		
		if ($_SERVER["HTTPS"] == "on"){$pageURL .= "s";}
		
		$pageURL .= "://";
		
		if ($_SERVER["SERVER_PORT"] != "80"){
			
			$pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
		
		} else {
			
			$pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
		
		}
		
		return $pageURL;
		
	} else if($type == 2){
		
		// Get post id and user's IP
		$postID = get_the_ID();
		$postURL = get_permalink($postID);
		return $postURL;
		
	} // end chain

}




/*-----------------------------------------------------------------------------------*/
/*	Shortcode Handler
/*-----------------------------------------------------------------------------------*/

function sharelocker_handle($atts, $content) {
	
	// Extract variables from shortcode tag, set defaults
	extract(shortcode_atts(array(
		"locker_id" => 'na',
		"theme" => 'blue',
		"message" => 'Click Like To Start your Download!',
		"facebook" => 'false',
		"likeurl" => 'CURRENT',
		"google" => 'false',
		"googleurl" => 'CURRENT',
		"tweet" => 'false',
		"tweettext" => '',
		"tweeturl" => 'CURRENT',
		"follow" => 'false',
		"linkedin" => 'false',
		"linkedinurl" => 'CURRENT'
	), $atts));
			
	// Setup
	$theme = strtolower($theme);
	$locked = true;
	
	// Check cookies
	if($_COOKIE["wpsl_".$locker_id."_like"] == 'true' || $_COOKIE["wpsl_".$locker_id."_plus"] == 'true' || $_COOKIE["wpsl_".$locker_id."_tweet"] == 'true' || $_COOKIE["wpsl_".$locker_id."_follow"] == 'true' || $_COOKIE["wpsl_".$locker_id."_linkedin"] == 'true'){
		$locked = false;
	}
	
	// If cookie is not set display locked download, otherwise spit out the link
	if($locked == true){
		
		return sharelocker_generate($locker_id, $theme, $message, $facebook, $likeurl, $google, $googleurl, $tweet, $tweettext, $tweeturl, $follow, $linkedin, $linkedinurl);
		
	} else {
		
		return $content;
		
	}
										
}// End shortcode handler





/*-----------------------------------------------------------------------------------*/
/*	Like Button + JS Generator
/*-----------------------------------------------------------------------------------*/

function sharelocker_generate($locker_id, $theme, $message, $facebook, $likeurl, $google, $googleurl, $tweet, $tweettext, $tweeturl, $follow, $linkedin, $linkedinurl){
	
	// Get settings
	$sharelocker_facebook_enabled = get_option('sharelocker-facebook-enabled');
	$sharelocker_facebook_colorscheme = get_option('sharelocker-facebook-colorscheme');
	$sharelocker_google_enabled = get_option('sharelocker-google-enabled');
	$sharelocker_twitter_enabled = get_option('sharelocker-twitter-enabled');
	$sharelocker_twitter_tweet_enabled = get_option('sharelocker-twitter-tweet-enabled');
	$sharelocker_twitter_username = get_option('sharelocker-twitter-username');
	$sharelocker_twitter_count = get_option('sharelocker-twitter-count');
	$sharelocker_linkedin_enabled = get_option('sharelocker-linkedin-enabled');
	$sharelocker_button_layout = 'bubble';
	$locks = '';
	
	// Configure URLS
	if($likeurl == 'CURRENT'){$likeurl = sharelocker_current_page(2);}
	if($googleurl == 'CURRENT'){$googleurl = sharelocker_current_page(2);}
	if($linkedinurl == 'CURRENT'){$linkedinurl = sharelocker_current_page(2);}
	if($tweeturl == 'CURRENT'){$tweeturl = sharelocker_current_page(2);}
	if($sharelocker_twitter_count == 'CURRENT'){$sharelocker_twitter_count = sharelocker_current_page(2);}
	
	// Configure Manual Overrides
	$facebook = $sharelocker_facebook_enabled;
	$google = $sharelocker_google_enabled;
	$follow = $sharelocker_twitter_enabled;
	$tweet = $sharelocker_twitter_tweet_enabled;
	$linkedin = $sharelocker_linkedin_enabled;
	
	// Configure Button Types
	if($sharelocker_button_layout == 'bubble'){
		$fbl = 'button_count';
		$gpl = 'medium';
		$twl = 'horizontal';
		$lil = 'right';
	} else if($sharelocker_button_layout == 'box'){
		$fbl = 'box_count';
		$gpl = 'tall';
		$twl = 'vertical';
		$lil = 'top';
	}
	
	// Create Locks
	if($facebook == 'true'){
		$locks = $locks . '
<div id="fb-root"></div><div id="fb'.$locker_id.'" class="fb-like wpsl-like" data-href="'.$likeurl.'" data-send="false" data-layout="'.$fbl.'" data-width="20" data-show-faces="false" data-colorscheme="'.$sharelocker_facebook_colorscheme.'"></div>
<script type="text/javascript">FB.Event.subscribe("edge.create", function(href, widget){if(href == "'.$likeurl.'" && widget.dom.id == "fb'.$locker_id.'"){wpsl_createCookie("wpsl_'.$locker_id.'_like", "true", 365);window.location.reload(true);}});</script>
		';
	}
	if($google == 'true'){
		$locks = $locks . '
<div class="g-plusone" data-size="'.$gpl.'" data-callback="wpsl_g_'.$locker_id.'" data-href="'.$googleurl.'"></div><script type="text/javascript">function wpsl_g_'.$locker_id.'(){wpsl_createCookie("wpsl_'.$locker_id.'_plus", "true", 365);window.location.reload(true);}</script>
		';
	}
	if($tweet == 'true'){
		$locks = $locks . '<a href="https://twitter.com/share" class="twitter-share-button" data-url="'.$tweeturl.'" data-counturl="'.$sharelocker_twitter_count.'" data-text="'.$tweettext.'" data-count="'.$twl.'">Tweet</a>';
	}
	if($follow == 'true'){
		$locks = $locks . '<a href="https://twitter.com/'.$sharelocker_twitter_username.'" class="twitter-follow-button wpsl-follow" data-show-count="false" data-show-screen-name="false">Follow @'.$sharelocker_twitter_username.'</a>';
	}
	if($linkedin == 'true'){
		$locks = $locks . '<script type="IN/Share" data-url="'.$linkedinurl.'" data-counter="'.$lil.'" data-showzero="'.$lil.'" data-onsuccess="wpsl_l_'.$locker_id.'"></script><script type="text/javascript">function wpsl_l_'.$locker_id.'(){wpsl_createCookie("wpsl_'.$locker_id.'_linkedin", "true", 365);window.location.reload(true);}</script>';
	}

	// Create Locker
	$locker = '
		
		<div class="wpsl '.$theme.'" data-id="'.$locker_id.'">
		
			<p class="wpsl-message">'.$message.'</p>
			
			'.$locks.'
						
		<br style="clear:both" /></div>
			
	';
	
	return $locker;
	
} // End Generate Like Function






/*-----------------------------------------------------------------------------------*/
/*	Start Running Hooks
/*-----------------------------------------------------------------------------------*/

function sharelocker_twyt(){
	
	if( get_option('sharelocker-twitter-tweet-enabled') == 'true' || get_option('sharelocker-twitter-enabled') == 'true' ){
		
		echo'
		<script>
		jQuery(document).ready(function(){
			jQuery().twyt();
		});
		</script>';
		
	}
	
}





/*-----------------------------------------------------------------------------------*/
/*	Start Running Hooks
/*-----------------------------------------------------------------------------------*/

// Start the plugin
add_action( 'init', 'sharelocker_init' );
// Add hook to include settings CSS
add_action( 'admin_init', 'sharelocker_settings_admin_css' );
// create custom plugin settings menu
add_action( 'admin_menu', 'sharelocker_create_menu' );
// Add the short code to WordPress
add_shortcode("share-locker", "sharelocker_handle");
// Load Twitter Handle
add_action( 'wp_head', 'sharelocker_twyt' );


// Config Hover Rollover
//add_action( 'wp_head', 'sharelocker_hover_config' );
// ASYNC load Pinterest API
//add_action( 'wp_footer', 'sharelocker_main_run' );

?>