<?PHP

/*-----------------------------------------------------------------------------------*/
/*	Menu Creation
/*-----------------------------------------------------------------------------------*/

function sharelocker_create_menu() {
	
	// Adds the tab into the options panel in WordPress Admin area
	$page = add_options_page( __("Share Locker for WordPress", "sharelocker"), __("Share Locker", "sharelocker"), 'administrator', __FILE__, 'sharelocker_settings_page');

	//call register settings function
	add_action( 'admin_init', 'sharelocker_register_settings' );
	
	// Hook style sheet loading
	add_action( 'admin_print_styles-' . $page, 'sharelocker_admin_cssloader' );

}
		



		
/*-----------------------------------------------------------------------------------*/
/*	Add Admin CSS
/*-----------------------------------------------------------------------------------*/

// Add style sheet for plugin settings
function sharelocker_settings_admin_css(){
				
	/* Register our stylesheet. */
	wp_register_style( 'sharelockerSettings', SHARELOCKER_LOCATION.'/css/wp_framework.css' );
							
} function sharelocker_admin_cssloader(){
	
	// It will be called only on your plugin admin page, enqueue our stylesheet here
	wp_enqueue_style( 'sharelockerSettings' );
	   
} // End admin style CSS





/*-----------------------------------------------------------------------------------*/
/*	Register Settings
/*-----------------------------------------------------------------------------------*/

function sharelocker_register_settings(){
		
	// Register our settings
	register_setting( 'sharelocker-settings-group', 'sharelocker-facebook-enabled' );
	register_setting( 'sharelocker-settings-group', 'sharelocker-facebook-colorscheme' );
	register_setting( 'sharelocker-settings-group', 'sharelocker-google-enabled' );
	register_setting( 'sharelocker-settings-group', 'sharelocker-twitter-enabled' );
	register_setting( 'sharelocker-settings-group', 'sharelocker-twitter-tweet-enabled' );
	register_setting( 'sharelocker-settings-group', 'sharelocker-twitter-username' );
	register_setting( 'sharelocker-settings-group', 'sharelocker-twitter-counter' );
	register_setting( 'sharelocker-settings-group', 'sharelocker-linkedin-enabled' );

	// Apply default options to settings
	add_option( 'sharelocker-facebook-enabled', 'true' );
	add_option( 'sharelocker-facebook-colorscheme', 'light' );
	add_option( 'sharelocker-google-enabled', 'true' );
	add_option( 'sharelocker-twitter-enabled', 'true' );
	add_option( 'sharelocker-twitter-tweet-enabled', 'true' );
	add_option( 'sharelocker-twitter-username', '' );
	add_option( 'sharelocker-twitter-counter', 'CURRENT' );
	add_option( 'sharelocker-linkedin-enabled', 'true' );

}





/*-----------------------------------------------------------------------------------*/
/*	Ajax save callback
/*-----------------------------------------------------------------------------------*/

add_action('wp_ajax_sharelocker_wp_settings_save', 'sharelocker_wp_settings_save');

function sharelocker_wp_settings_save(){

	check_ajax_referer('sharelocker_settings_secure', 'security');
	
        // Save the posted value in the database
		update_option('sharelocker-facebook-enabled', $_POST['sharelocker-facebook-enabled']);
		update_option('sharelocker-facebook-colorscheme', $_POST['sharelocker-facebook-colorscheme']);
		update_option('sharelocker-google-enabled', $_POST['sharelocker-google-enabled']);
		update_option('sharelocker-twitter-enabled', $_POST['sharelocker-twitter-enabled']);
		update_option('sharelocker-twitter-tweet-enabled', $_POST['sharelocker-twitter-tweet-enabled']);
		update_option('sharelocker-twitter-username', $_POST['sharelocker-twitter-username']);
		update_option('sharelocker-twitter-counter', $_POST['sharelocker-twitter-counter']);
		update_option('sharelocker-linkedin-enabled', $_POST['sharelocker-linkedin-enabled']);
		
}





/*-----------------------------------------------------------------------------------*/
/*	New framework settings page
/*-----------------------------------------------------------------------------------*/

function sharelocker_settings_page() {
	
?>

<script>
	
jQuery(document).ready(function(){

/*-----------------------------------------------------------------------------------*/
/*	Options Pages and Tabs
/*-----------------------------------------------------------------------------------*/
	  
	jQuery('.options_pages li').click(function(){
		
		var tab_page = 'div#' + jQuery(this).attr('id');
		var old_page = 'div#' + jQuery('.options_pages li.active').attr('id');
		
		// Change button class
		jQuery('.options_pages li.active').removeClass('active');
		jQuery(this).addClass('active');
				
		// Set active tab page
		jQuery(old_page).fadeOut('slow', function(){
			
			jQuery(tab_page).fadeIn('slow');
			
		});
		
	});
	
/*-----------------------------------------------------------------------------------*/
/*	Form Submit
/*-----------------------------------------------------------------------------------*/
	
	jQuery('form#plugin-options').submit(function(){
			
		var data = jQuery(this).serialize();
		
		jQuery.post(ajaxurl, data, function(response){
			
			if(response == 0){
				
				// Flash success message and shadow
				var success = jQuery('#success-save');
				var bg = jQuery("#message-bg");
				success.css("position","fixed");
				success.css("top", ((jQuery(window).height() - 65) / 2) + jQuery(window).scrollTop() + "px");
				success.css("left", ((jQuery(window).width() - 257) / 2) + jQuery(window).scrollLeft() + "px");
				bg.css({"height": jQuery(window).height()});
				bg.css({"opacity": .45});
				bg.fadeIn("slow", function(){
					success.fadeIn('slow', function(){
						success.delay(1500).fadeOut('fast', function(){
							bg.fadeOut('fast');
						});
					});
				});
								
			} else {
				
				//error out
				
			}
		
		});
				  
		return false;
	
	});	
	
/*-----------------------------------------------------------------------------------*/
/*	Finished
/*-----------------------------------------------------------------------------------*/
	
});

</script>

<div id="message-bg"></div>
<div id="success-save"></div>

<div id="wp_framework_wrap">

	<div id="header">
    	<h1><?PHP _e('Share Locker', 'sharelocker') ?> <a href="<?PHP echo SHARELOCKER_LOCATION; ?>/documentation" target="_blank">&raquo; <?PHP _e('View Plugin Documentation', 'sharelocker') ?></a></h1>
        <span class="icon">&nbsp;</span>
        <br class="clear" />
    </div>
    
    <div id="content_wrap">
    
    	<form id="plugin-options" name="plugin-options" action="/">
        <?php settings_fields( 'sharelocker-settings-group' ); ?>
        <input type="hidden" name="action" value="sharelocker_wp_settings_save" />
        <input type="hidden" name="security" value="<?php echo wp_create_nonce('sharelocker_settings_secure'); ?>" />
        
        	<div id="sub_header" class="info">
            
                <input type="submit" name="settingsBtn" id="settingsBtn" class="button-framework save-options" value="<?php _e('Save All Changes', 'sharelocker') ?>" />
                <span><?PHP _e('Options Page', 'sharelocker') ?></span>
                
            </div>
            
            <div id="content">
            
            	<div id="options_content">
                
                	<ul class="options_pages">
                    	<li id="facebook_options" class="active"><a href="#"><?php _e('Facebook Settings', 'sharelocker') ?></a><span></span></li>
                    	<li id="google_options"><a href="#"><?php _e('Google Settings', 'sharelocker') ?></a><span></span></li>
                    	<li id="twitter_options"><a href="#"><?php _e('Twitter Settings', 'sharelocker') ?></a><span></span></li>
                    	<li id="linkedin_options"><a href="#"><?php _e('LinkedIn Settings', 'sharelocker') ?></a><span></span></li>
                    </ul>
                    
                    <div id="facebook_options" class="options_page">  

                    	<div class="option">
                        	<h3><?php _e('Facebook Enabled', 'sharelocker') ?></h3>
                            <div class="section">
                            	<div class="element"><select name="sharelocker-facebook-enabled" id="sharelocker-facebook-enabled" class="textfield">
                    <option value="true" <?PHP if(get_option('sharelocker-facebook-enabled') == 'true'){echo 'selected="selected"';} ?>><?php _e('True', 'sharelocker') ?></option>
                    <option value="false" <?PHP if(get_option('sharelocker-facebook-enabled') == 'false'){echo 'selected="selected"';} ?>><?php _e('False', 'sharelocker') ?></option>
                				</select></div>
                                <div class="description"><?php _e('Choose to show or hide the Like button in your content lockers', 'sharelocker') ?>.</div>
                            </div>
                        </div>  

                    	<div class="option">
                        	<h3><?php _e('Facebook Color Scheme', 'sharelocker') ?></h3>
                            <div class="section">
                            	<div class="element"><select name="sharelocker-facebook-colorscheme" id="sharelocker-facebook-colorscheme" class="textfield">
                    <option value="light" <?PHP if(get_option('sharelocker-facebook-colorscheme') == 'light'){echo 'selected="selected"';} ?>><?php _e('Light', 'sharelocker') ?></option>
                    <option value="dark" <?PHP if(get_option('sharelocker-facebook-colorscheme') == 'dark'){echo 'selected="selected"';} ?>><?php _e('Dark', 'sharelocker') ?></option>
                				</select></div>
                                <div class="description"><?php _e('Choose which color scheme to use with the Like Button', 'sharelocker') ?>.</div>
                            </div>
                        </div>  

                    </div>
                    
                    
                    <div id="google_options" class="options_page hide">            
                        
                    	<div class="option">
                        	<h3><?php _e('Google Plus Enabled', 'sharelocker') ?></h3>
                            <div class="section">
                            	<div class="element"><select name="sharelocker-google-enabled" id="sharelocker-google-enabled" class="textfield">
                    <option value="true" <?PHP if(get_option('sharelocker-google-enabled') == 'true'){echo 'selected="selected"';} ?>><?php _e('True', 'sharelocker') ?></option>
                    <option value="false" <?PHP if(get_option('sharelocker-google-enabled') == 'false'){echo 'selected="selected"';} ?>><?php _e('False', 'sharelocker') ?></option>
                				</select></div>
                                <div class="description"><?php _e('Choose to show or hide the Google Plus button in your content lockers', 'sharelocker') ?>.</div>
                            </div>
                        </div>  

                    </div>
                    
                    
                    <div id="twitter_options" class="options_page hide"> 
                        
                    	<div class="option">
                        	<h3><?php _e('Twitter Follow Enabled', 'sharelocker') ?></h3>
                            <div class="section">
                            	<div class="element"><select name="sharelocker-twitter-enabled" id="sharelocker-twitter-enabled" class="textfield">
                    <option value="true" <?PHP if(get_option('sharelocker-twitter-enabled') == 'true'){echo 'selected="selected"';} ?>><?php _e('True', 'sharelocker') ?></option>
                    <option value="false" <?PHP if(get_option('sharelocker-twitter-enabled') == 'false'){echo 'selected="selected"';} ?>><?php _e('False', 'sharelocker') ?></option>
                				</select></div>
                                <div class="description"><?php _e('Choose to show or hide the Twitter Follow button in your content lockers', 'sharelocker') ?>.</div>
                            </div>
                        </div>  

                    	<div class="option">
                        	<h3><?php _e('Twitter Username', 'sharelocker') ?></h3>
                            <div class="section">
                            	<div class="element"><input class="textfield" name="sharelocker-twitter-username" type="text" id="sharelocker-twitter-username" value="<?php echo get_option('sharelocker-twitter-username'); ?>" /></div>
                                <div class="description"><?php _e('Enter your Twitter user name to use with the follow button', 'sharelocker') ?></div>
                            </div>
                        </div>
                        
                    	<div class="option">
                        	<h3><?php _e('Twitter Tweet Enabled', 'sharelocker') ?></h3>
                            <div class="section">
                            	<div class="element"><select name="sharelocker-twitter-tweet-enabled" id="sharelocker-twitter-tweet-enabled" class="textfield">
                    <option value="true" <?PHP if(get_option('sharelocker-twitter-tweet-enabled') == 'true'){echo 'selected="selected"';} ?>><?php _e('True', 'sharelocker') ?></option>
                    <option value="false" <?PHP if(get_option('sharelocker-twitter-tweet-enabled') == 'false'){echo 'selected="selected"';} ?>><?php _e('False', 'sharelocker') ?></option>
                				</select></div>
                                <div class="description"><?php _e('Choose to show or hide the Twitter Tweet button in your content lockers', 'sharelocker') ?>.</div>
                            </div>
                        </div>  
                        
                    	<div class="option">
                        	<h3><?php _e('Tweet Counter URL', 'sharelocker') ?></h3>
                            <div class="section">
                            	<div class="element"><input class="textfield" name="sharelocker-twitter-counter" type="text" id="sharelocker-twitter-counter" value="<?php echo get_option('sharelocker-twitter-counter'); ?>" /></div>
                                <div class="description"><?php _e('Optional. For example you can enter your homepage URL and all Tweets will increase the counter of your homepage instead of spreading them out over sub pages.', 'sharelocker') ?></div>
                            </div>
                        </div>       
                                                                        
                    </div>   
                    
                    
                    <div id="linkedin_options" class="options_page hide">
                    
                    	<div class="option">
                        	<h3><?php _e('LinkedIn Enabled', 'sharelocker') ?></h3>
                            <div class="section">
                            	<div class="element"><select name="sharelocker-linkedin-enabled" id="sharelocker-linkedin-enabled" class="textfield">
                    <option value="true" <?PHP if(get_option('sharelocker-linkedin-enabled') == 'true'){echo 'selected="selected"';} ?>><?php _e('True', 'sharelocker') ?></option>
                    <option value="false" <?PHP if(get_option('sharelocker-linkedin-enabled') == 'false'){echo 'selected="selected"';} ?>><?php _e('False', 'sharelocker') ?></option>
                				</select></div>
                                <div class="description"><?php _e('Choose to show or hide the Share button in your content lockers', 'sharelocker') ?>.</div>
                            </div>
                        </div>  
                        
                    </div>
                                        
            		<br class="clear" />
                    
            </div>
            
            <div class="info bottom">
            
                <input type="submit" name="settingsBtn" id="settingsBtn" class="button-framework save-options" value="<?php _e('Save All Changes', 'sharelocker') ?>" />
            
            </div>
            
        </form>
        
    </div>

</div>

<?php } ?>